import { ActiveRecord, ActiveRecords, RuntimeContext, RuntimeView } from '@oinone/kunlun-engine';
import { CallChaining } from '@oinone/kunlun-shared';
import { Slots, VNode } from 'vue';
import { MetadataViewWidget } from '../../basic';
import { DefaultTabWidget } from '../tabs';
export declare class DefaultMultiViewTabWidget extends DefaultTabWidget {
    protected metadataViewWidget: MetadataViewWidget | undefined;
    protected runtimeViewContext: RuntimeContext | undefined;
    protected runtimeView: RuntimeView | undefined;
    get invisible(): boolean;
    get allInvisible(): boolean | undefined;
    get forceRender(): boolean;
    initialize(props: any): this;
    get viewModel(): string | undefined;
    get viewName(): string | undefined;
    get currentTabKey(): string;
    protected initView(): Promise<void>;
    protected createMetadataViewWidget(): MetadataViewWidget;
    protected initRuntimeContext(metadataSubviewWidget: MetadataViewWidget, view: RuntimeView): RuntimeContext;
    protected initViewAfterProperties(): void;
    render(ctx?: Record<string, unknown>, slots?: Slots): VNode | VNode[];
    protected mountedCallChaining: CallChaining | undefined;
    protected refreshCallChaining: CallChaining | undefined;
    protected submitCallChaining: CallChaining | undefined;
    protected validatorCallChaining: CallChaining | undefined;
    get dataSource(): ActiveRecord[] | undefined;
    set dataSource(dataSource: ActiveRecord[] | undefined);
    reloadDataSource(records: ActiveRecords | undefined): void;
    get activeRecords(): ActiveRecord[] | undefined;
    set activeRecords(activeRecords: ActiveRecord[] | undefined);
    reloadActiveRecords(records: ActiveRecords | undefined): void;
}
